Bug 149696 - New port: editors/wordgrinder, a simple Unicode-aware console word processor
Summary: New port: editors/wordgrinder, a simple Unicode-aware console word processor
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-16 10:20 UTC by Vitaly Magerya
Modified: 2010-08-20 13:10 UTC (History)
0 users

See Also:


Attachments
file.shar (2.72 KB, text/plain)
2010-08-16 10:20 UTC, Vitaly Magerya
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vitaly Magerya 2010-08-16 10:20:01 UTC
WordGrinder is a Unicode-aware character cell word processor that runs
in a terminal.

WWW: http://wordgrinder.sourceforge.net/

Note that the port does not respect CC or CFLAGS. I'm afraid there's
no simple way of fixing this, as their values are hard-coded into
a file that isn't plain text and can't be patched.

Fix: Patch attached with submission follows:
Comment 1 Baptiste Daroussin freebsd_committer 2010-08-19 19:51:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

I'll take it.
Comment 2 dfilter service freebsd_committer 2010-08-20 13:06:36 UTC
bapt        2010-08-20 12:06:27 UTC

  FreeBSD ports repository

  Modified files:
    editors              Makefile 
  Added files:
    editors/wordgrinder  Makefile distinfo pkg-descr 
  Log:
  WordGrinder is a simple, Unicode-aware word processor that runs on the
  console. It's designed to get the hell out of your way and let you write;
  it does very little, but what it does it does well.
  
  It supports basic paragraph styles, basic character styles, basic screen
  markup, a menu interface that means you don't have to remember complex
  key sequences, HTML import and export, and some other useful features.
  
  WordGrinder does not require X. It runs in a terminal.
  
  WWW: http://wordgrinder.sf.net
  
  PR:             ports/149696
  Submitted by:   Vitaly Magerya <vmagerya at gmail.com>
  Approved by:    tabthorpe (co-mentor)
  
  Revision  Changes    Path
  1.436     +1 -0      ports/editors/Makefile
  1.1       +50 -0     ports/editors/wordgrinder/Makefile (new)
  1.1       +3 -0      ports/editors/wordgrinder/distinfo (new)
  1.1       +11 -0     ports/editors/wordgrinder/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Baptiste Daroussin freebsd_committer 2010-08-20 13:06:57 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!